Page MenuHomePhabricator

RevisionAccessException, "Could not determine title for page ID X and revision ID Y" in PageTriage LinksUpdateComplete hook
Closed, ResolvedPublic

Description

Found in beta logstash while testing on beta commons with MCR:

It looks like this relates to PageTriage and the LinksUpdateComplete hook.

Could be similar to T183505

To Reproduce:
Simply create a new page on enwiki beta with the content "#REDIRECT [[AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA]]". For example https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Mcrtest1&action=history
This is also locally reproducible by making the edit on a local wiki with the PageTriage extension enabled.

Stacktrace:

#0 /srv/mediawiki/php-master/includes/Storage/RevisionStore.php(1079): MediaWiki\Storage\RevisionStore->getTitle(string, string)
#1 /srv/mediawiki/php-master/includes/Storage/RevisionStore.php(1113): MediaWiki\Storage\RevisionStore->newRevisionFromRow_1_29(stdClass, integer, NULL)
#2 /srv/mediawiki/php-master/includes/Storage/RevisionStore.php(1453): MediaWiki\Storage\RevisionStore->newRevisionFromRow(stdClass, integer, NULL)
#3 /srv/mediawiki/php-master/includes/Storage/RevisionStore.php(1411): MediaWiki\Storage\RevisionStore->loadRevisionFromConds(Wikimedia\Rdbms\DatabaseMysqli, array, integer, NULL)
#4 /srv/mediawiki/php-master/includes/Storage/RevisionStore.php(928): MediaWiki\Storage\RevisionStore->newRevisionFromConds(array, integer)
#5 /srv/mediawiki/php-master/includes/Revision.php(181): MediaWiki\Storage\RevisionStore->getRevisionByPageId(integer, integer, integer)
#6 /srv/mediawiki/php-master/includes/page/WikiPage.php(672): Revision::newFromPageId(integer, integer, integer)
#7 /srv/mediawiki/php-master/includes/page/WikiPage.php(718): WikiPage->loadLastEdit()
#8 /srv/mediawiki/php-master/extensions/PageTriage/includes/ArticleMetadata.php(655): WikiPage->getContent()
#9 /srv/mediawiki/php-master/extensions/PageTriage/includes/ArticleMetadata.php(772): ArticleCompileInterface->getParserOutputByPageId(string)
#10 /srv/mediawiki/php-master/extensions/PageTriage/includes/ArticleMetadata.php(442): ArticleCompileCategoryCount->compile()
#11 /srv/mediawiki/php-master/extensions/PageTriage/includes/ArticleMetadata.php(402): ArticleCompileProcessor->process()
#12 /srv/mediawiki/php-master/extensions/PageTriage/PageTriage.hooks.php(166): ArticleCompileProcessor->compileMetadata()
#13 /srv/mediawiki/php-master/includes/deferred/MWCallableUpdate.php(30): Closure$PageTriageHooks::onLinksUpdateComplete()
#14 /srv/mediawiki/php-master/includes/deferred/DeferredUpdates.php(259): MWCallableUpdate->doUpdate()
#15 /srv/mediawiki/php-master/includes/deferred/DeferredUpdates.php(222): DeferredUpdates::runUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactoryMulti, string, integer)
#16 /srv/mediawiki/php-master/includes/deferred/DeferredUpdates.php(131): DeferredUpdates::execute(array, string, integer)
#17 /srv/mediawiki/php-master/includes/MediaWiki.php(897): DeferredUpdates::doUpdates(string)
#18 /srv/mediawiki/php-master/includes/MediaWiki.php(719): MediaWiki->restInPeace(string, boolean)
#19 [internal function]: Closure$MediaWiki::doPostOutputShutdown()
#20 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore renamed this task from RevisionAccessException, "Could not determine title for page ID X and revision ID Y" to RevisionAccessException, "Could not determine title for page ID X and revision ID Y" in PageTriage LinksUpdateComplete hook.Dec 27 2017, 11:57 AM
Addshore updated the task description. (Show Details)Dec 28 2017, 11:49 AM
Addshore updated the task description. (Show Details)Dec 28 2017, 11:57 AM
Addshore triaged this task as High priority.
Restricted Application added a project: User-Addshore. · View Herald TranscriptDec 28 2017, 12:01 PM
Addshore moved this task from Inbox to Next on the Multi-Content-Revisions board.

Change 400577 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@master] [MCR] pass $queryFlags into RevisionStore::getTitle

https://gerrit.wikimedia.org/r/400577

Change 400577 merged by jenkins-bot:
[mediawiki/core@master] [MCR] pass $queryFlags into RevisionStore::getTitle

https://gerrit.wikimedia.org/r/400577

Addshore closed this task as Resolved.Dec 30 2017, 9:40 AM

Change 403446 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@wmf/1.31.0-wmf.16] [MCR] RevisionStore::getTitle final logged fallback to master

https://gerrit.wikimedia.org/r/403446

Change 403446 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.16] [MCR] RevisionStore::getTitle final logged fallback to master

https://gerrit.wikimedia.org/r/403446

Change 404757 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@wmf/1.31.0-wmf.17] [MCR] RevisionStore::getTitle final logged fallback to master

https://gerrit.wikimedia.org/r/404757

Change 404757 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.17] [MCR] RevisionStore::getTitle final logged fallback to master

https://gerrit.wikimedia.org/r/404757

Change 403422 merged by jenkins-bot:
[mediawiki/core@master] [MCR] RevisionStore::getTitle final logged fallback to master

https://gerrit.wikimedia.org/r/403422

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 10 2018, 3:25 AM